Initiate PDF download for submission
Initiates PDF generation for a form submission. If PDF already exists, returns the PDF URL immediately.
POST
/
forms
/
{formId}
/
submissions
/
{submissionId}
/
download-pdf
Initiate PDF download for submission
curl --request POST \
--url https://services.leadconnectorhq.com/forms/{formId}/submissions/{submissionId}/download-pdf \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"pdfType": "submission",
"locationId": "ve9EPM428h8vShlRW1KT"
}
'const options = {
method: 'POST',
headers: {
Version: '<version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({pdfType: 'submission', locationId: 've9EPM428h8vShlRW1KT'})
};
fetch('https://services.leadconnectorhq.com/forms/{formId}/submissions/{submissionId}/download-pdf', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/forms/{formId}/submissions/{submissionId}/download-pdf"
payload = {
"pdfType": "submission",
"locationId": "ve9EPM428h8vShlRW1KT"
}
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"message": "PDF generation initiated",
"pdfExists": true,
"pdfUrl": "https://storage.googleapis.com/bucket/path/to/file.pdf"
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}Authorizations
Path Parameters
Body
application/json
Response
PDF download initiated successfully or PDF URL returned if already exists
Last modified on March 8, 2026
Was this page helpful?
Initiate PDF download for submission
curl --request POST \
--url https://services.leadconnectorhq.com/forms/{formId}/submissions/{submissionId}/download-pdf \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"pdfType": "submission",
"locationId": "ve9EPM428h8vShlRW1KT"
}
'const options = {
method: 'POST',
headers: {
Version: '<version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({pdfType: 'submission', locationId: 've9EPM428h8vShlRW1KT'})
};
fetch('https://services.leadconnectorhq.com/forms/{formId}/submissions/{submissionId}/download-pdf', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/forms/{formId}/submissions/{submissionId}/download-pdf"
payload = {
"pdfType": "submission",
"locationId": "ve9EPM428h8vShlRW1KT"
}
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"message": "PDF generation initiated",
"pdfExists": true,
"pdfUrl": "https://storage.googleapis.com/bucket/path/to/file.pdf"
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}